<%@page import="java.util.*"%>
<%@page import="java.net.URI"%>

<%@page import="java.security.cert.X509Certificate"%>
<%@page import="java.security.interfaces.RSAPublicKey"%>

<%@page import="net.java.dev.sommer.foafssl.verifier.DereferencingFoafSslVerifier"%>


<%@ page language="java" contentType="text/html; charset=utf-8"
    pageEncoding="utf-8"%>
    
<%@ include file="header.jsp" %>

<h2>FOAF Helper</h2>
<%
X509Certificate[] certificates = (X509Certificate[]) request.getAttribute("javax.servlet.request.X509Certificate");
if (certificates == null || certificates.length == 0) {
%>

<p>
No Client certificate found. You may want to <a href="cert-req.html">create one first</a> or import one!
</p>

<% } else { %>
<p>
Add this to your FOAF:
</p>
<form>

<textarea rows=15 cols=60 style="font-size: 10pt;">
<?xml version="1.0" encoding="utf-8"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:cert="http://www.w3.org/ns/auth/cert#"
  xmlns:rsa="http://www.w3.org/ns/auth/rsa#"><%
int certct = 0;
for (int i=0;i<certificates.length;i++) {
	X509Certificate cert = certificates[i];
	RSAPublicKey pubKey = (RSAPublicKey) cert.getPublicKey();
	Iterator<URI> urisIt = DereferencingFoafSslVerifier.getAlternativeURIName(cert).iterator();
	while (urisIt.hasNext()) {
		URI uri = urisIt.next();
		certct++;
	%>
	
	<rsa:RSAPublicKey rdf:about="#foafssl_cert<%= certct %>">
    	<cert:identity rdf:resource="<%=uri %>"/>
    	<rsa:modulus><rdf:Description rdf:about="#foafssl_mod<%= certct %>"><cert:hex><%= pubKey.getModulus().toString(16) %></cert:hex></rdf:Description></rsa:modulus>
    	<rsa:public_exponent><rdf:Description rdf:about="#foafssl_exp<%= certct %>"><cert:decimal><%= pubKey.getPublicExponent().toString(10) %></cert:decimal></rdf:Description></rsa:public_exponent>
	</rsa:RSAPublicKey>

	<% } } %>
</rdf:RDF>
</textarea>

</form>

<% } %>
	
	
<%@ include file="footer.jsp" %>
