package org.pelds;

/**
 * String constants for servlet input/output format
 * 
 * @author Hannes Muehleisen (hannes@muehleisen.org)
 */
public class Constants {
	static final public String MIME_TYPE_RESULT_XML = "application/sparql-results+xml";
	static final public String MIME_TYPE_RESULT_JSON = "application/sparql-results+json";
	static final public String MIME_TYPE_RESULT_RDF = "application/rdf+xml";
	static final public String MIME_TYPE_RESULT_N3 = "application/rdf+n3";

	static final public String MIME_TYPE_XML1 = "application/xml";
	static final public String MIME_TYPE_XML2 = "text/xml";
	static final public String MIME_TYPE_TEXT = "text/plain";

	static final public String MIME_TYPE_JSON = "application/json";
}
