package org.pelds.rules;

/**
 * Special Exception class for rule handling errors
 * 
 * @author Hannes Muehleisen (hannes@muehleisen.org)
 */
public class RuleException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	public RuleException() {
		super();
	}

	public RuleException(String message) {
		super(message);
	}

	public RuleException(Throwable cause) {
		super(cause);
	}

	public RuleException(String message, Throwable cause) {
		super(message, cause);
	}
}