package org.pelds.servlet;

import javax.servlet.http.HttpServletRequest;

/**
 * Interface for classes parsing HTTP request parameters
 * 
 * @author Hannes Muehleisen (hannes@muehleisen.org)
 * @see QueryRequestServlet
 */
public interface RequestParameters {
	/**
	 * Check request parameters
	 * 
	 * @param r
	 *            HTTP Request object
	 * @return true if the given parameters are acceptable
	 */
	public boolean process(HttpServletRequest r);
}
